### 5.1.72 killattrib

`Syntax:`
  `killattrib (` name `)`
  `killattrib (` name`,` string_expression `)`
`Type:`
  none
`Purpose:`
  deletes all attributes respective the attribute given as the second argument.
`Example:`

        ring r=32003,(x,y),lp;
        ideal i=maxideal(1);
        attrib(i,"isSB",1);
        attrib(i);
      ==> attr:isSB, type int
        killattrib(i,"isSB");
        attrib(i);
      ==> no attributes
        attrib(i,"isSB",1);
        killattrib(i);
        attrib(i);
      ==> no attributes

See attrib; option.

User manual for Singular version 4.4.1, 2025, generated by texi2html.